import { MicroEditorBase } from "../../../Views/editor/MicroEditorBase.js";
export declare class FormatEditor extends MicroEditorBase {
    private get inputNode();
    private get sampleNode();
    private get formatType();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private input_onKeyUp;
    private input_onBlur;
    private getSampleValue;
    private getSampleValueFormatted;
    private hideError;
    private showError;
}
